Writers Block CMS PostID SQL Injection Vulnerability

Writer’s Block CMS PostID SQL Injection Vulnerability

Secunia Advisory: SA29652   Release Date: 2008-04-03 Critical: Moderately critical Impact: Manipulation of dataWhere: From remoteSolution Status: Unpatched Software:Writer"s Block CMS 3.x

Description:katharsis has discovered a vulnerability in Writer"s Block CMS, which can be exploited by malicious people to conduct SQL injection attacksInput passed to the "PostID" parameter in permalink.php is not properly sanitised before being used in SQL queries. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.The vulnerability is confirmed in version 3.8a. Other versions may also be affected.Solution:Edit the source code to ensure that input is properly sanitised.Provided and/or discovered by:katharsis

Döküman Arama

Başlık :

Kapat